
import java.io.*;
import java.util.*;
/**
 *
 * @author m09cke
 */
public class Bublesort {
   public static void main(String[] args) throws FileNotFoundException {
       Scanner in = new Scanner(new File("sort.in"));
       PrintWriter out = new PrintWriter("sort.out");
       int mas[]=new int[100];
       int n=in.nextInt();
       for(int i=0; i<n; i++){
           mas[i] = in.nextInt();
           }
       for(int i=0; i<n-1; i++){
           for(int j=n-1; j>i; j--){
               if (mas[j-1]>mas[j]){
                   int t=mas[j-1];
                   mas[j-1]=mas[j];
                   mas[j]=t;
               }
           }
       }
       for(int i=0; i<n; i++){
           out.print(mas[i]+" ");
           }
       out.close();
   }
}
